rOOse
@rOOse
Frontend developer

Atom.io выдает ошибку при установке emmet, в связи с отсутствием git, но он есть, как вылечить?

Установил atom, windows 8, emmet не хочет устанавливаться:
говорит git'a нету, он есть и %PATH% прописаны, в чем проблема?
npm http GET https://registry.npmjs.org/emmet
npm http 304 https://registry.npmjs.org/emmet
npm http GET https://registry.npmjs.org/requirejs
npm ERR! not found: git
npm ERR! 
npm ERR! Failed using git.
npm ERR! This is most likely not a problem with npm itself.
npm ERR! Please check if you have git installed and in your PATH.

npm ERR! System Windows_NT 6.2.9200
npm ERR! command "c:\\Users\\User\\Downloads\\Atom 0.107.0-a92eed5\\Atom\\resources\\app\\apm\\node_modules\\atom-package-manager\\bin\\\\node.exe" "c:\\Users\\User\\Downloads\\Atom 0.107.0-a92eed5\\Atom\\resources\\app\\apm\\node_modules\\atom-package-manager\\node_modules\\npm\\bin\\npm-cli.js" "--globalconfig" "c:\\Users\\User\\Downloads\\Atom 0.107.0-a92eed5\\Atom\\resources\\app\\apm\\node_modules\\atom-package-manager\\.apmrc" "--userconfig" "C:\\Users\\User\\.atom\\.apmrc" "install" "C:\\Users\\User\\.atom\\.node-gyp\\.atom\\.apm\\emmet\\2.1.1\\package.tgz" "--target=0.11.10" "--arch=ia32" "--msvs_version=2013"
npm ERR! cwd C:\Users\User\AppData\Local\Temp\apm-install-dir-11464-29812-4itvmf
npm ERR! node -v v0.10.26
npm ERR! npm -v 1.4.4
npm ERR! code ENOGIT
npm http 304 https://registry.npmjs.org/requirejs
npm
  • Вопрос задан
  • 3838 просмотров
Пригласить эксперта
Ответы на вопрос 1
вручную поставить как в sublime:
cd ~/.atom/packages
git clone https://github.com/emmetio/emmet-atom
cd emmet-atom
npm install
Ответ написан
Комментировать
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы